<?php


if (session_status() == PHP_SESSION_NONE) {
  session_start();
}

if (!isset($_SESSION['username_rkas']) || !isset($_SESSION['password_rkas']) || !isset($_SESSION['tahun']) || !isset($_SESSION['level_rkas'])) {
  echo "<script>window.location='../'</script>";
};

error_reporting(0);

$servroot = $_SERVER['DOCUMENT_ROOT'];
$servweb = $_SERVER['HTTP_HOST'];

$iduser = $_SESSION['id_rkas'];
$username = $_SESSION['username_rkas'];
$level = $_SESSION['level_rkas'];

if (isset($_POST['settahun'])) {
  $direct = new toast();
  echo  $direct->redirect('toast', 'settahun', 'beranda');
  $tahun = $_SESSION['tahun'] = $_POST['settahun'];

  $clsMigrasi = new migrasi;
  $installDB = $clsMigrasi->install($tahun);
} else {
  $tahun = $_SESSION['tahun'];
};

$csrf = new csrf();
$pandu = new pandu();
$modal = new modal();
$format = new format();
$crud = new crudData();

//$tahun = $_SESSION['tahun'];

$tahun1 = substr($tahun, 0, 4);
$tahun2 = substr($tahun, 5, 4);

$tahun_tabel = substr($tahun, 2, 2) . substr($tahun, 7, 2);


//SIMAKOM
$tb_komponen = "simakom_komponen" . $tahun_tabel;
$tb_kegiatan = "simakom_kegiatan" . $tahun_tabel;
$tb_akun = "simakom_akun" . $tahun_tabel;
$tb_detail = "simakom_detail" . $tahun_tabel;
$tb_revisi = "simakom_revisi" . $tahun_tabel;
$tb_transaksi = "simakom_transaksi" . $tahun_tabel;
$tb_jurnal = "simakom_jurnal" . $tahun_tabel;
$tb_lpj = "simakom_lpj" . $tahun_tabel;

$tb_transaksi_aks = "db_transaksi" . $tahun_tabel;
$tb_setor = "db_setor" .  $tahun_tabel;
$tb_siswa = "tb_siswa" . $tahun_tabel;
$tb_siswa_min = "tb_siswa_min" . $tahun_tabel;


// DATA sekolah
$classekolah = new sekolah;
$sekolah_id = $classekolah->dataSekolah('id');

//Data USer
$data_user = new crudData();
$data_user = $data_user->editData('user', 'username', $username);
$data = $data_user->fetch(PDO::FETCH_OBJ);

$user_name = $data->nama;
$user_level = $data->level;
$user_id = $data->id;

if (file_exists($servroot . "/asset/dokumen/foto/" . $user_id . ".png") || file_exists("../../asset/dokumen/foto/" . $user_id . ".png")) {
  $user_foto = "<img src='../../asset/dokumen/foto/" . $user_id . ".png' width='45' height='45' class='img-circle user-image'/>";
} elseif (file_exists($servroot . "/asset/dokumen/foto/" . $user_id . ".jpg") || file_exists("../../asset/dokumen/foto/" . $user_id . ".jpg")) {
  $user_foto = "<img src='../../asset/dokumen/foto/" . $user_id . ".jpg' width='45' height='45' class='img-circle user-image'/>";
} elseif (file_exists($servroot . "/asset/dokumen/foto/" . $user_id . ".gif") || file_exists("../../asset/dokumen/foto/" . $user_id . ".gif")) {
  $user_foto = "<img src='../../asset/dokumen/foto/" . $user_id . ".gif' width='45' height='45' class='img-circle user-image'/>";
} else {
  $user_foto = "<img src='../../asset/dokumen/foto/no_photo.png' width='45' height='45' class='img-circle user-image'/>";
};

//Data Lembaga


date_default_timezone_set('Asia/Jakarta');
$tanggal = mktime(date("m"), date("d"), date("Y"));
$now_ind = date("d/m/Y", $tanggal);
$now_eng = date("Y-m-d", $tanggal);
